# ifndef NO_WHAT
/*
 *      SCCS file type - Emulator Include File
 *
 *      What identification string:
 */
static char *_S_dict = "@(#)EM_dict.h	3.2";
# endif

/* ESY */

translate( SyncEntry, SENTRY )
translate( SyncBlock, SBLOCK )
translate( Semaphore, SEMA4 )
translate( SymcMapEntry, SMNTRY )
translate( SyncMap, SMAP )
translate( ESY_mapIndex, MAPINX )
translate( ESY_mapInit, MAPINI )
translate( ESY_segEnter, SEGENT )
translate( ESY_segLeave, SEGLVE )


/* EEV */

translate( EventData, EVDATA )
translate( EventTypeList, ETLIST )
translate( EventTypeListp, ETLISTP )
translate( EventMessageBody, EVMESGB )
translate( EventMessage, EVMESG )
translate( EEV_SendM, EVSENDM )
translate( EEV_SendSB, EVSENDB )
translate( EEV_Send, EVSEND )
translate( EEV_Wait, EVWAIT )
translate( EEV_Wait1, EVWAIT1 )
translate( EEV_Waiting, EVWAITN )
translate( EEV_MesgSend, EVMSGSD )
translate( EEV_MesgWait, EVMSGWT )

translate( EventChannelTable, EVCT)


/* external functions called by the System Call Interpreter  */
translate(EPS_exit,Eexit)
translate(EPS_fork,Efork)
translate(EFI_await,Eawait)
translate(EFI_read,Eread)
translate(EFI_write,Ewrite)
translate(EFI_open,Eopen)
translate(EFI_close,Eclose)
translate(EPS_wait,Ewait)
translate(EFI_creat,Ecreat)
translate(EFI_link,Elink)
translate(EFI_unlink,Eunlink)
translate(EPS_exec,Eexec)
translate(EPS_chdir,Echdir)
translate(ESC_time,Etime)
translate(EFI_mknod,Emknod)
translate(EFI_chmod,Echmod)
translate(EPS_break,Ebreak)
translate(EFI_stat,Estat)
translate(EFI_seek,Eseek)
translate(EPS_getpid,Egetpid)
translate(EPS_setuid,Esetuid)
translate(EPS_getuid,Egetuid)
translate(ETR_ptrace,Eptrace)
translate(EFI_fstat,Efstat)
translate(EFI_stty,Estty)
translate(EFI_gtty,Egtty)
translate(EPS_nice,Enice)
translate(EPS_sleep,Esleep)
translate(EFI_sync,Esync)
translate(ESG_kill,Ekill)
translate(EFI_dup,Edup)
translate(EPP_pipe,Epipe)
translate(EPS_times,Etimes)
translate(EPR_profil,Eprofil)
translate(EPS_setgid,Esetgid)
translate(EPS_getgid,Egetgid)
translate(ESG_signal,Esignal)
translate(EPP_port,Eport)
translate(EPS_getal,Egetal)
translate(EPP_eofp,Eeofp)
translate(EPS_gprocs,Egprocs)
translate(EPS_sfork,Esfork)
translate(EFI_capac,Ecapac)


/* set_usr_return_reg function in ESC, used by many other modules */
translate(set_usr_return_reg,setUreg)
translate(usr_return_reg,Urtnreg)
translate(set_usr_error, setUerr)


/* mappings needed in the File system */
translate(PopenFileIndex,PoFIndx)
translate(PopenFileEntry,PoFEnty)
translate(Popen_list_index,PoLIndx)
translate(object_type,objtype)

translate(PoFavailCnt,PoFaCnt)

/* mappings needed in family.h and file */
translate(FopenFileIndex,FoFIndx)
translate(FopenFileEntry,FoFEnty)




/* mappings needed in ETTY   */

translate(t_read_cq_index,tRedCqI)
translate(t_write_cq_index,tWrtCqI)
translate(t_echo_cq_index,tEcoCqI)

translate(t_read_cq,tRedCq)
translate(t_write_cq,tWrtCq)
translate(t_echo_cq,tEcoCq)

translate(read_buffer,readBuf)
translate(read_buffer_cq,RBufCq)
translate(current_read_master,CRM)
translate(CRM_open_object,CRMoObj)
translate(request_new_read_master,RNRM)
translate(request_new_read_master_valid,RNRMV)
translate(flush_read_buffer,fRbuf)
translate(echo_buffer_cq,EBufCq)

translate(write_buffer_cq,WBufCq)
translate(writer_active_flag,Wactive)
translate(writer_waiting,Wwait)
translate(current_write_master,CWM)
translate(CWM_open_object,CWMoObj)
translate(request_new_write_master,RNWM)
translate(request_new_write_master_valid,RNWMV)

translate(TTY_buffers,TTYbufs)

/* ETTY event call channel names */

translate(ETTY_event_start_read,EStartR)
translate(ETTY_event_start_echo,EStartE)
translate(ETTY_event_start_write,EStartW)
translate(ETTY_event_io_complete,ETTYioC)


/* EP process system long to short name mappings */
translate(parent_waited_once, Pwaitd1)
translate(parent_index, PARindx)
translate(parent_SEID, PARseid)
translate(child_usr_mode_times,childUt)
translate(child_supervisor_mode_times,childSt)
translate(User_image,Usrimag)
translate(Process_local_data,Prldata)


/* Segment designator for the segment shared between EDI and EPP */
translate( current_shared_segment, EMcshsg)


/* UDM interface procedures  */
translate( InstallDirectoryEntry,    EUDMmke)
translate( MakeDirectory,            EUDMmdir)
translate( RemoveDirectoryEntry,     EUDMrme)
translate( PathInterpret,            EUDMpint)

/*      EFI     */

translate( t_set_of_t_fildes, EFsetfd)
translate( await_return,      EFawret)
translate( return_event_kind, PPreknd)
translate( capac_return,      EFcpret)

/*      EPP     */
/*      type names:             */
translate( PP_open_list_index, PPolind)
translate( openPipeIndex,      PPopind)
translate( PP_ptr_index,       PPptind)
translate( PP_conditions_d,    PPcondd)
translate( PP_flags_d,         PPflagd)
translate( PP_open_list_entry, PPolent)
translate( open_PipePortEntry, PPoPPEy)
translate( t_read_count,       PPtrcnt)
translate( Port_mode,          PPPmode)
translate( Port_segment,       PPptseg)
/*      global variables:       */
translate( FopenPipe, PPFoPip)
/*      function names:                                             */
/*          (those not defined from the system call interpreter)    */
translate( EPP_await,                       PPawait)
translate( EPP_capac,                       PPcapac)
translate( EPP_clear_event,                 PPcevnt)    
translate( EPP_close,                       PPclose)
translate( EPP_event,                       PPevent)
translate( EPP_fork,                        EPPfork)
translate( EPP_init,                        EPPinit)
translate( EPP_port_open,                   PPporto)
translate( EPP_read,                        EPPread)
translate( EPP_set_event,                   PPsevnt)    
translate( EPP_write,                       PPwrite)
/*      field names...          */
translate( event_kind,        PPekind)
translate( Allocated,         PPAlloc)
translate( Eofp_flag,         PPEoffl)
translate( PP_conditions,     PPconds)
translate( dir_seid,          PPdseid)
translate( entry_name,        PPename)
translate( eofp_read,         PPeofrd)
translate( Port_name,         PPPrtnm)
translate( PP_write_refs,     PPwrefs)
translate( PP_read_refs,      PPrrefs)
translate( PP_write_ptr,      PPwrptr)
translate( PP_read_ptr,       PPrdptr)
translate( PP_flags,          PPflags)
translate( PP_open_list,      PPolist)
translate( read_count,        PPrdcnt)
translate( write_count,       PPwrcnt)
translate( P_SyncBlock,       PPPSyBl)
translate( P_openPort,        PPPopPt)
translate( PP_data_segment,   PPdaseg)

/*      ETH     */
/*      type names:     */
translate( timeout_queue_head,    ETHtqhd)
translate( timeout_queue_entry,   ETHtqen)
translate( timeout_queue_element, ETHtqel)
/*      global variables:       */
translate( timeout_queue,    ETHtque)
translate( timeout_freelist, ETHtfrl)
translate( timeout_queue_hd, ETHthed)
translate( timeout_seq_no,   ETHtsno)
/*      functions:      */
translate( ETH_Timeout,      ETHTout)
translate( ETH_Cancel,       ETHCanc)
translate( ETH_Suspend,      ETHSusp)
translate( ETH_handle_alarm, ETHhalm)
translate( ETH_enqueue,      ETHenqu)
translate( ETH_dequeue,      ETHdequ)

/*	EBC	*/
/*	events:	*/
translate( EBC_event_start_io,    EBCSIO)
translate( EBC_event_io_complete, EBCIOC)
/*	variables:	*/
translate( io_in_progress,	EBCinp)
translate( flush_found,		EBCff)
translate( no_flush_left,	EBCnfl)
translate( flushall,		EBCfall)
translate( send_IPC,		EBCsIPC)
/*	functions:	*/
translate( EBC_Init,		EBCInit)
translate( EBC_Assign,		EBCAsgn)
translate( EBC_Flush,		EBCfl)
translate( EBC_WriteBlock,	EBCWB)
translate( EBC_ReadBlock,	EBCRB)
translate( EBC_Search,		EBCsrch)
/*	types:		*/
translate(BufferLinkIndex,	EBCBLI)
translate(BufferIndex,		EBCBI)
translate(BufferCache,		EBCBC)
translate(BufferLink,		EBCBL)
/*	fields:		*/
translate(B_Writer,		EBCBWr)
translate(B_WriteOD,		EBCBWOD)
translate(BUF_WAIT,		EBCWAIT)
